%define        libname  lib%{name}

Name:          graphviz
Version:       11.0.0
Release:       1mamba
Summary:       Graph Visualization Tools
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.graphviz.org/
Source:        https://gitlab.com/graphviz/graphviz.git/%{version}/graphviz-%{version}.tar.bz2
Patch5:        graphviz-2.38.0-ghostscript-9.19.patch
License:       Common Public Attribution License 1.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libR-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libdevil-devel
BuildRequires: libexpat-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreeglut-devel
BuildRequires: libfreetype-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libgd-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglade-devel
BuildRequires: libglib-devel
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libgomp-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgs-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtkglext-devel
BuildRequires: libgts-devel
BuildRequires: libguile-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libltdl-devel
BuildRequires: liblua-devel
BuildRequires: libnsl-devel
BuildRequires: libpango-devel
BuildRequires: libperl
BuildRequires: libpoppler-glib-devel
BuildRequires: libpython311-devel
BuildRequires: librsvg-devel
BuildRequires: libruby-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: libwebp-devel
BuildRequires: libxcrypt-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libgs-devel >= 10.01.2-1mamba
BuildRequires: libunistring-devel >= 0.9.6-1mamba
BuildRequires: pkgconfig
BuildRequires: lua
%ifarch %{ix86}
BuildRequires: libming-devel
%endif
%if "%{stage1}" != "1"
BuildRequires: php-devel
BuildRequires: swig
%endif

# WARNING :
# checking for gdlib-config... /usr/bin/gdlib-config
# configure: WARNING: GD library version < 2.0.34
# configure: WARNING: Using internal libgd source.

%description
A collection of tools and tcl packages for the manipulation and layout of graphs (as in nodes and edges, not as in barcharts).

%package graphs
Group:          Applications/Graphics
Summary:        Demo graphs for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description graphs
This package provides some example graphs for %{name}.

%package -n %{libname}-guile
Group:          System/Libraries
Summary:        Guile extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-guile
This package provides Guile extension for %{name}.

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared libraries for %{name}
Obsoletes:      ocaml-graphviz < 10.0

%description -n %{libname}
This package provides shared library for %{name}.

%package -n %{libname}-devel
Group:          Development/Libraries
Summary:        Static libraries and headers for %{name}
Obsoletes:      %{name}-devel < 2.48.0
Provides:       %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
This package contains the files needed for developing programs using %{name} libraries.

%package -n perl-%{name}
Group:          System/Libraries
Summary:        Perl extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n perl-%{name}
This package provides perl extension for %{name}.

%package -n python-%{name}
Group:          System/Libraries
Summary:        Python extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-%{name}
This package provides Python extension for %{name}.

%package -n %{libname}-java
Group:          System/Libraries
Summary:        Java extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-java
This package provides java extension for %{name}.

%package -n %{libname}-go
Group:          System/Libraries
Summary:        Go language extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-go
This package provides Go language extension for %{name}.

%package -n %{libname}-R
Group:          System/Libraries
Summary:        R language extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-R
This package provides R language extension for %{name}.

%package -n %{libname}-sharp
Group:          System/Libraries
Summary:        C# extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-sharp
This package provides C# extension for %{name}.

%package -n %{libname}-php
Group:          System/Libraries
Summary:        PHP extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-php
This package provides PHP extension for %{name}.

%package -n %{libname}-ruby
Group:          System/Libraries
Summary:        Ruby extension for %{name}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-ruby
This package provides Ruby extension for %{name}.

%package -n %{libname}-tcl
Group:          System/Libraries
Summary:        Tcl extension for %{name}
Obsoletes:      %{name}-tcl < 2.48.0
Provides:       %{name}-tcl = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-tcl
This package provides tcl extension for %{name}.

%package -n %{libname}-tcl-devel
Group:          Development/Libraries
Summary:        Static libraries and headers for %{libname}-tcl
Requires:       %{libname}-tcl = %{?epoch:%epoch:}%{version}-%{release}
Requires:       %{libname}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-tcl-devel
Static libraries and headers for %{libname}-tcl.

%package doc
Group:          Documentation
Summary:        Documentation for version %{version} of %{name}
Requires:       %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
This package contains the documentation of %{name} in HTML and pdf formats.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch 5 -p1

./autogen.sh

%build
#:<< _EOF
%configure \
   --with-x \
   --enable-lua \
   --enable-ruby \
   --disable-php \
   LDFLAGS="-ltermcap" \
   PYTHON=%{__python310}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%ifarch arm
export LD_PRELOAD=/usr/lib/libatomic.so
%endif

%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
dot -c
exit 0

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post   -n %{libname}-tcl -p /sbin/ldconfig
%postun -n %{libname}-tcl -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%{name}/*
%exclude %{_datadir}/%{name}/demo
%exclude %{_datadir}/%{name}/graphs
%{_mandir}/man1/*
%{_mandir}/man7/graphviz.7*

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/libcdt.so.*
%{_libdir}/libcgraph.so.*
%{_libdir}/libgvc.so.*
%{_libdir}/libgvpr.so.*
%{_libdir}/libxdot.so.*
%{_libdir}/libpathplan.so.*
%{_libdir}/lua/gv.so
%{_libdir}/graphviz/libgvplugin_*.so.*
%dir %{_libdir}/graphviz/lua
%{_libdir}/graphviz/lua/gv.so
%{_libdir}/graphviz/lua/libgv_lua.so

%files -n perl-%{name}
%defattr(-,root,root)
%{_libdir}/graphviz/perl/gv.so
%{_libdir}/graphviz/perl/gv.pm
%{_libdir}/graphviz/perl/libgv_perl.so
%{perl_vendorarch}/gv.*

%files -n python-%{name}
%defattr(-,root,root)
%{_libdir}/graphviz/python3/_gv.so
%{_libdir}/graphviz/python3/gv.py
%{_libdir}/graphviz/python3/libgv_python3.so
%{python3_sitearch}/_gv.so
%{python3_sitearch}/gv.py

%ifnarch arm
%files  -n %{libname}-go
%defattr(-,root,root)
%{_libdir}/graphviz/go/gv.go
%{_libdir}/graphviz/go/libgv_go.so
%{_libdir}/graphviz/go/runtime.h
%endif

%files -n %{libname}-R
%defattr(-,root,root)
%dir %{_libdir}/graphviz/R
%{_libdir}/graphviz/R/gv.so
%{_libdir}/graphviz/R/libgv_R.so

%files -n %{libname}-guile
%defattr(-,root,root)
%dir %{_libdir}/graphviz/guile
%{_libdir}/graphviz/guile/libgv_guile.so

%files -n %{libname}-ruby
%defattr(-,root,root)
%dir %{_libdir}/graphviz/ruby
%{_libdir}/graphviz/ruby/gv.so
%{_libdir}/graphviz/ruby/libgv_ruby.so
%{_libdir}/ruby/vendor_ruby/*/*-linux*/gv.so

#% if "%{stage1}" != "1"
#%files -n %{libname}-php
#%defattr(-,root,root)
#%{_libdir}/graphviz/php/gv.php
#%{_libdir}/graphviz/php/gv.so
#%{_libdir}/php/modules/gv.so
#%{_datadir}/php/gv.php
#%{_libdir}/graphviz/php/libgv_php.la
#%{_libdir}/graphviz/php/libgv_php.so

%if "%{stage1}" != "1"
%files -n %{libname}-sharp
%defattr(-,root,root)
%{_libdir}/graphviz/sharp/SWIGTYPE_p_*.cs
%{_libdir}/graphviz/sharp/gv.cs
%{_libdir}/graphviz/sharp/gvPINVOKE.cs
%{_libdir}/graphviz/sharp/libgv_sharp.so

%files -n %{libname}-java
%defattr(-,root,root)
%dir %{_libdir}/graphviz/java/org/graphviz
%{_libdir}/graphviz/java/org/graphviz/*
%{_libdir}/graphviz/java/libgv.so
%endif

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/libcdt.so
%{_libdir}/libcgraph.so
%{_libdir}/libgvc.so
%{_libdir}/libgvpr.so
%{_libdir}/libxdot.so
%{_libdir}/libpathplan.so
%{_libdir}/graphviz/libgvplugin_*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files graphs
%defattr(-,root,root)
%dir %{_datadir}/%{name}/demo
%{_datadir}/%{name}/demo/*
%dir %{_datadir}/%{name}/graphs
%{_datadir}/%{name}/graphs/*

# FIXME: x86_64
%ifarch %{ix86} arm
%files -n %{libname}-tcl
%defattr(-,root,root)
%dir %{_libdir}/%{name}/tcl
%ifnarch %{ix86}
%{_libdir}/liblab_gamut.so.*
%endif
%{_libdir}/%{name}/tcl/libgv_tcl.so
%{_libdir}/%{name}/tcl/pkgIndex.tcl
# symlink
%{_libdir}/tcl*/graphviz

%files -n %{libname}-tcl-devel
%defattr(-,root,root)
%{_libdir}/%{name}/tcl/libgdtclft.so
%{_libdir}/%{name}/tcl/libtcldot.so
%{_libdir}/%{name}/tcl/libtcldot_builtin.so
%{_libdir}/%{name}/tcl/libtclplan.so
%ifnarch %{ix86}
%{_libdir}/liblab_gamut.so
%endif
%endif

%files doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Sat May 11 2024 Automatic Build System <autodist@openmamba.org> 11.0.0-1mamba
- automatic version update by autodist

* Wed Feb 14 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 10.0.1-2mamba
- libgraphviz: obsolete ocaml-graphviz

* Tue Feb 13 2024 Automatic Build System <autodist@openmamba.org> 10.0.1-1mamba
- automatic version update by autodist

* Thu Sep 14 2023 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 8.1.0-2mamba
- rebuilt by autoport with build requirements: libgs-devel>=10.01.2-1mamba

* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2023 Sdk Build System <sdk@mambasoft.it> 8.0.5-2mamba
- rebuilt with ocaml 4.14.1

* Mon May 01 2023 Automatic Build System <autodist@mambasoft.it> 8.0.5-1mamba
- automatic version update by autodist

* Sat Apr 22 2023 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Automatic Build System <autodist@mambasoft.it> 8.0.3-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Wed Jan 11 2023 Automatic Build System <autodist@mambasoft.it> 7.0.6-1mamba
- automatic version update by autodist

* Fri Dec 30 2022 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic version update by autodist

* Sat Nov 26 2022 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Sat Nov 19 2022 Automatic Build System <autodist@mambasoft.it> 7.0.2-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 6.0.2-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 6.0.1-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Fri Mar 04 2022 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Dec 06 2021 Automatic Build System <autodist@mambasoft.it> 2.50.0-1mamba
- automatic version update by autodist

* Sat Oct 23 2021 Automatic Build System <autodist@mambasoft.it> 2.49.3-1mamba
- automatic version update by autodist

* Sun Oct 17 2021 Automatic Build System <autodist@mambasoft.it> 2.49.2-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 2.49.1-1mamba
- automatic version update by autodist

* Sun Aug 29 2021 Automatic Build System <autodist@mambasoft.it> 2.49.0-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 2.48.0-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 2.47.3-1mamba
- automatic version update by autodist

* Fri May 28 2021 Automatic Build System <autodist@mambasoft.it> 2.47.2-1mamba
- automatic version update by autodist

* Tue Apr 20 2021 Automatic Build System <autodist@mambasoft.it> 2.47.1-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 2.47.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 2.46.1-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.46.0-1mamba
- update to 2.46.0

* Wed Jul 29 2020 Automatic Build System <autodist@mambasoft.it> 2.44.1-1mamba
- automatic version update by autodist

* Sun Jul 26 2020 Automatic Build System <autodist@mambasoft.it> 2.44.0-1mamba
- automatic version update by autodist

* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.42.2-1mamba
- update to 2.42.2

* Sat Dec 31 2016 Automatic Build System <autodist@mambasoft.it> 2.40.1-1mamba
- automatic version update by autodist

* Sun May 15 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.38.0-2mamba
- rebuilt by autoport with build requirements: libunistring-devel>=0.9.6-1mamba

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 2.38.0-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36.0-3mamba
- rebuilt with openexr 2.1.0

* Mon Mar 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36.0-2mamba
- rebuilt with libpoppler 0.24.5

* Tue Feb 04 2014 Automatic Build System <autodist@mambasoft.it> 2.36.0-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 2.34.0-1mamba
- automatic update by autodist

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update by autodist

* Thu Jul 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-4mamba
- libgraphviz-tcl: fix %{_libdir}/tcl*/graphviz problem due to tcl8.6/graphviz being a symlink to tcl/graphviz

* Thu Jul 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-3mamba
- patched to fix libgvc.pc and for build with recent ruby and guile
- added libgts requirement

* Wed Feb 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-2mamba
- added libgraphviz-R subpackage

* Wed Feb 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-1mamba
- update to 2.30.1

* Tue Aug 09 2011 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic version update by autodist

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-6mamba
- rebuilt with ghostscript 9.01

* Fri Nov 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-5mamba
- rebuilt with libpng 1.4 (after libdevil fix)

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-4mamba
- rebuilt with libpng 1.4

* Thu Oct 28 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-3mamba
- automatic rebuild by autodist

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-2mamba
- rebuilt

* Sat Apr 17 2010 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Mon Jan 18 2010 Automatic Build System <autodist@mambasoft.it> 2.26.0-1mamba
- automatic update by autodist

* Wed Jun 24 2009 Automatic Build System <autodist@mambasoft.it> 2.24.0-1mamba
- automatic update by autodist

* Tue May 19 2009 Automatic Build System <autodist@mambasoft.it> 2.22.2-2mamba
- automatic rebuild by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.22.2-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.3-1mamba
- automatic update by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18-1mamba
- automatic update by autodist

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-3mamba
- execute dot -c in %post script to create plugin configuration

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-2mamba
- rebuild with libdevil and libming 0.4

* Mon Dec 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16-1mamba
- update to 2.16

* Mon Jun 19 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.6-2qilnx
- added ruby binding

* Thu Oct 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6-1qilnx
- update to version 2.6 by autospec
- dotneato-config, demo files moved to graphs package
- new package %{libname}

* Mon Sep 20 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.14-1qilnx
- update to version 1.14
- added the 'doc' package

* Fri Feb 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.11-1qilnx
- first build
